//  Persistance of Vision Raytracer V2.2
//  World definition file.
//
//  Contains 1 lights, 9 textures and 132 primitives.
//
//  This file was generated for POV-Ray V2.2 by
//  MORAY.EXE V2.02.wat(c) 1991-1995 Lutz + Kretzschmar
//

//  Date : 07/19/1996    (19.07.1996)
//

#max_trace_level 5

//
//  This is the standard include file for POV-Ray. It is included with
//  every scene that Moray V2.0 exports for POV-Ray.
//





camera {  //  Camera StdCam
  location  <-67.100, -62.900, 4.100>
  direction <0.0,     0.0,  1.4297>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.3333,  0.0,  0.0>
  look_at   <-15.000, 18.800, -7.800>
}

// *******  L I G H T S *******
light_source {   // Light1
  <0.000, -40.000, 40.000>
  color rgb <1.000, 1.000, 1.000>
}


// ********  TEXTURES  *******
//

#include "rivertmp.inc"



//  ********** Sky  *****************
#include "colors.inc"
#include "skies.inc"

sky_sphere { S_Cloud1
 rotate <90, 0, 0>
 scale <1, -1, 1>
 }


//  ***********Included Objects*************

#include "beach1.inc"
#include "beach2.inc"
#include "beach3.inc"
#include "oak1.inc"
#include "palm.inc"
#include "plant1.inc"
#include "plant2.inc"
#include "plant3.inc"
#include "trheav1.inc"
#include "trheav2.inc"
#include "trheav3.inc"
#include "trheaven.inc"
#include "willow1.inc"
#include "willow2.inc"
#include "willow3.inc"
#include "fairyqu1.inc"


// ********  REFERENCED OBJECTS  *******

#declare Reeds1 = union { // Reeds1
  cylinder { // Reed12
    <0,0,1>, <0,0,0>, 1
    texture {
      Reed_Texture
    }
    scale <0.2, 0.2, 11.0>
    rotate <40.152412, 9.846681, 1.757972>
  }
  cylinder { // Reed13
    <0,0,1>, <0,0,0>, 1
    texture {
      Reed_Texture
    }
    scale <0.2, 0.2, 27.5>
    rotate <9.150496, 8.847786, -58.253227>
  }
  cylinder { // Reed14
    <0,0,1>, <0,0,0>, 1
    texture {
      Reed_Texture
    }
    scale <0.2, 0.2, 30.25>
    rotate <8.150496, 7.847786, -118.253227>
  }
  cylinder { // Reed15
    <0,0,1>, <0,0,0>, 1
    texture {
      Reed_Texture
    }
    scale <0.2, 0.2, 33.275002>
    rotate <7.150496, 6.847786, -178.253235>
  }
  cylinder { // Reed16
    <0,0,1>, <0,0,0>, 1
    texture {
      Reed_Texture
    }
    scale <0.2, 0.2, 36.602501>
    rotate <6.150496, 5.847786, 121.746765>
  }
  cylinder { // Reed17
    <0,0,1>, <0,0,0>, 1
    texture {
      Reed_Texture
    }
    scale <0.2, 0.2, 40.262749>
    rotate <5.150496, 4.847786, 61.746765>
  }
  cylinder { // Reed18
    <0,0,1>, <0,0,0>, 1
    texture {
      Reed_Texture
    }
    scale <0.2, 0.2, 12.1>
    rotate <39.152412, 8.846681, -58.242027>
  }
  cylinder { // Reed19
    <0,0,1>, <0,0,0>, 1
    texture {
      Reed_Texture
    }
    scale <0.2, 0.2, 13.31>
    rotate <38.152412, 7.846681, -118.242027>
  }
  cylinder { // Reed20
    <0,0,1>, <0,0,0>, 1
    texture {
      Reed_Texture
    }
    scale <0.2, 0.2, 14.641>
    rotate <37.152412, 6.846681, -178.242035>
  }
  cylinder { // Reed21
    <0,0,1>, <0,0,0>, 1
    texture {
      Reed_Texture
    }
    scale <0.2, 0.2, 16.105101>
    rotate <36.152412, 5.846681, 121.757965>
  }
  cylinder { // Reed22
    <0,0,1>, <0,0,0>, 1
    texture {
      Reed_Texture
    }
    scale <0.2, 0.2, 17.715611>
    rotate <35.152412, 4.846681, 61.757965>
  }
  scale 0.2
  rotate -71.0*z
  translate  <-10.1, 27.6, -5.5>
}



#declare Treeplace = object {
  box { // Treeplace
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Arbitrary_Texture
    }
    translate  <-0.3, 41.700001, 12.6>
  }
}
#declare Treeplace2 = object {
  object { // Treeplace2->Treeplace
    Treeplace
    translate  <60.200001, 3.3, -0.6>
  }
}




#declare Lily_Pad = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.424805, -1.989236, 0.064303>, <-0.381197, -1.989236, 0.064303>, <-0.372008, -1.989236, 0.064303>, <-0.328399, -1.989236, 0.064303>,
      <-2.949966, -1.011107, 0.000000>, <-1.466945, -1.011107, -0.032151>, <0.008038, -1.011107, -0.032151>, <1.678608, -1.032542, 0.000000>,
      <-2.762149, 0.000000, 0.000000>, <-1.373037, 0.000000, -0.032151>, <0.008038, 0.000000, -0.032151>, <1.584699, -0.021434, 0.000000>,
      <-1.150749, 0.873645, 0.000000>, <-0.607526, 0.391376, -0.192908>, <-0.032151, 0.391376, -0.192908>, <0.575374, 0.873645, 0.000000>
    }
  }
  texture {
    Lily_Pad_Texture
  }
}
#declare Lily_Pad1 = object {
  object { // Lily_Pad1->Lily Pad
    Lily_Pad
    rotate -115.0*z
    translate  <-2.8, 2.2, 0.0>
  }
}
#declare Lily_Pad2 = object {
  object { // Lily_Pad2->Lily Pad1
    Lily_Pad1
    scale <0.6, 0.6, 1.0>
    rotate -125.0*z
    translate  <-1.0, 4.6, 0.0>
  }
}
#declare Lily_Blossom = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.465814, -2.238268, 0.000000>, <-0.349730, -2.238268, -0.027962>, <-0.277580, -2.238268, -0.027962>, <-0.095336, -2.238268, 0.000000>,
      <-1.579286, -1.060799, 0.000000>, <-0.789643, -1.060799, -1.000539>, <0.000000, -1.060799, -1.000539>, <0.789643, -1.060799, 0.000000>,
      <-1.579286, 0.000000, 0.000000>, <-0.789643, 0.000000, -1.000539>, <0.000000, 0.000000, -1.000539>, <0.789643, 0.000000, 0.000000>,
      <-0.692612, 0.989470, 0.000000>, <-0.346306, 1.296280, -0.003849>, <-0.310796, 1.285562, -0.003849>, <0.035510, 0.978753, 0.000000>
    }
  }
  texture {
    Lily_Blossom_Color
  }
  scale <1.5, 1.6, 1.0>
  rotate 75.0*x
  translate  <0.5, 2.0, 0.0>
}
#declare Lily_Blossom8 = object {
  object { // Lily_Blossom8->Lily Blossom
    Lily_Blossom
    rotate -20.0*x
    translate  1.3*y
  }
}
#declare Lily_Blossom16 = object {
  object { // Lily_Blossom16->Lily Blossom8
    Lily_Blossom8
    rotate -35.0*x
    translate  <0.0, 2.0, 0.0>
  }
}
#declare Lily_Flower = union {
  object { Lily_Blossom }
  object { // Lily_Blossom1->Lily Blossom
    Lily_Blossom
    rotate <0.0, 0.0, -45.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom2->Lily Blossom
    Lily_Blossom
    rotate <0.0, 0.0, -90.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom3->Lily Blossom
    Lily_Blossom
    rotate <0.0, 0.0, -135.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom4->Lily Blossom
    Lily_Blossom
    rotate <0.0, 0.0, -180.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom5->Lily Blossom
    Lily_Blossom
    rotate <0.0, 0.0, 135.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom6->Lily Blossom
    Lily_Blossom
    rotate <0.0, 0.0, 90.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom7->Lily Blossom
    Lily_Blossom
    rotate <0.0, 0.0, 45.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { Lily_Blossom8 }
  object { // Lily_Blossom9->Lily Blossom8
    Lily_Blossom8
    rotate -45.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom10->Lily Blossom8
    Lily_Blossom8
    rotate -90.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom11->Lily Blossom8
    Lily_Blossom8
    rotate -135.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom12->Lily Blossom8
    Lily_Blossom8
    rotate -180.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom13->Lily Blossom8
    Lily_Blossom8
    rotate 135.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom14->Lily Blossom8
    Lily_Blossom8
    rotate 90.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom15->Lily Blossom8
    Lily_Blossom8
    rotate 45.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { Lily_Blossom16 }
  object { // Lily_Blossom17->Lily Blossom16
    Lily_Blossom16
    rotate -45.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom18->Lily Blossom16
    Lily_Blossom16
    rotate -90.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom19->Lily Blossom16
    Lily_Blossom16
    rotate -135.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom20->Lily Blossom16
    Lily_Blossom16
    rotate -180.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom21->Lily Blossom16
    Lily_Blossom16
    rotate 135.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom22->Lily Blossom16
    Lily_Blossom16
    rotate 90.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom23->Lily Blossom16
    Lily_Blossom16
    rotate 45.0*z
    translate  <0.0, 0.0, 0.0>
  }
  translate  <-3.8, 9.1, 3.4>
}


#declare Cattail_Top = union {
  cylinder { // cattail_head
    <0,0,1>, <0,0,0>, 1
    scale <1.0, 1.0, 5.0>
  }
  sphere { // cat_top
    <0,0,0>,1
    translate  5.0*z
  }
  sphere { // cat_botton
    <0,0,0>,1
  }
  texture {
    Cattail_Textu1
  }
  scale <0.6, 0.6, 1.4>
  translate  24.5*z
}
#declare Cattail = union {
  cylinder { // Reed
    <0,0,1>, <0,0,0>, 1
    texture {
      Reed_Texture1
    }
    scale <0.2, 0.2, 25.0>
  }
  object { Cattail_Top }
  rotate <3.0, -7.0, 0.0>
  translate  <0.9, -0.7, -0.2>
}
#declare Cattails_Group = union { // Cattails_Group
  object { Cattail }
  object { // Cattail1->Cattail
    Cattail
    scale <1.001554, 1.000287, 1.097978>
    rotate <-1.287154, -0.310425, -60.097378>
    translate  <-0.375827, 0.128397, -0.001049>
  }
  object { // Cattail2->Cattail
    Cattail
    scale <1.003431, 1.000631, 1.205102>
    rotate <-2.597851, -0.555809, -120.2174>
    translate  <-0.015092, 0.784669, 0.000383>
  }
  object { // Cattail3->Cattail
    Cattail
    scale <1.005698, 1.001044, 1.322079>
    rotate <-3.933417, -0.730901, 179.636597>
    translate  <1.074601, 0.414253, 0.004511>
  }
  object { // Cattail4->Cattail
    Cattail
    scale <1.008434, 1.001539, 1.449625>
    rotate <-5.295157, -0.830234, 119.460922>
    translate  <0.977283, -1.120921, 0.011565>
  }
  object { // Cattail5->Cattail
    Cattail
    scale <1.011734, 1.00213, 1.588448>
    rotate <-6.684319, -0.848186, 59.251534>
    translate  <-0.860424, -1.559896, 0.02179>
  }
  scale 0.2
  translate  <0.0, -2.7, -11.5>
}


#declare Reeds = union { // Reeds
  cylinder { // Reed1
    <0,0,1>, <0,0,0>, 1
    texture {
      Reed_Texture
    }
    scale <0.2, 0.2, 11.0>
    rotate <40.152412, 9.846681, 1.757972>
  }
  cylinder { // Reed2
    <0,0,1>, <0,0,0>, 1
    texture {
      Reed_Texture
    }
    scale <0.2, 0.2, 27.5>
    rotate <9.150496, 8.847786, -58.253227>
  }
  cylinder { // Reed3
    <0,0,1>, <0,0,0>, 1
    texture {
      Reed_Texture
    }
    scale <0.2, 0.2, 30.25>
    rotate <8.150496, 7.847786, -118.253227>
  }
  cylinder { // Reed4
    <0,0,1>, <0,0,0>, 1
    texture {
      Reed_Texture
    }
    scale <0.2, 0.2, 33.275002>
    rotate <7.150496, 6.847786, -178.253235>
  }
  cylinder { // Reed5
    <0,0,1>, <0,0,0>, 1
    texture {
      Reed_Texture
    }
    scale <0.2, 0.2, 36.602501>
    rotate <6.150496, 5.847786, 121.746765>
  }
  cylinder { // Reed6
    <0,0,1>, <0,0,0>, 1
    texture {
      Reed_Texture
    }
    scale <0.2, 0.2, 40.262749>
    rotate <5.150496, 4.847786, 61.746765>
  }
  cylinder { // Reed7
    <0,0,1>, <0,0,0>, 1
    texture {
      Reed_Texture
    }
    scale <0.2, 0.2, 12.1>
    rotate <39.152412, 8.846681, -58.242027>
  }
  cylinder { // Reed8
    <0,0,1>, <0,0,0>, 1
    texture {
      Reed_Texture
    }
    scale <0.2, 0.2, 13.31>
    rotate <38.152412, 7.846681, -118.242027>
  }
  cylinder { // Reed9
    <0,0,1>, <0,0,0>, 1
    texture {
      Reed_Texture
    }
    scale <0.2, 0.2, 14.641>
    rotate <37.152412, 6.846681, -178.242035>
  }
  cylinder { // Reed10
    <0,0,1>, <0,0,0>, 1
    texture {
      Reed_Texture
    }
    scale <0.2, 0.2, 16.105101>
    rotate <36.152412, 5.846681, 121.757965>
  }
  cylinder { // Reed11
    <0,0,1>, <0,0,0>, 1
    texture {
      Reed_Texture
    }
    scale <0.2, 0.2, 17.715611>
    rotate <35.152412, 4.846681, 61.757965>
  }
  scale 0.2
  translate  <0.0, 2.4, -11.3>
}




// ********  OBJECTS  *******

sphere { // Moon
  <0,0,0>,1
  texture {
    Moon_Texture
  }
  texture {
    Moonglow
  }
  no_shadow
  scale 10.900001
  translate  <83.400001, 61.400001, 27.2>
}


object { // Reeds15->Reeds
  Reeds
  rotate <0.0, 0.0, 138.0>
  translate  <-49.300001, -5.0, 0.0>
}


object { // Reeds14->Reeds
  Reeds
  rotate <0.0, 0.0, -111.0>
  translate  <-57.100001, -4.0, 0.0>
}


object { // Reeds13->Reeds
  Reeds
  rotate <0.0, 0.0, 54.0>
  translate  <-56.100001, -13.9, 0.0>
}


object { // Reeds12->Reeds
  Reeds
  rotate <0.0, 0.0, 165.0>
  translate  <-47.000001, -47.900001, 4.5>
}


object { // Reeds11->Reeds
  Reeds
  rotate <0.0, 0.0, -84.0>
  translate  <-32.8, -3.8, 0.0>
}


object { // Reeds10->Reeds
  Reeds
  rotate <0.0, 0.0, 27.0>
  translate  <24.9, 0.4, 0.0>
}


object { // Reeds9->Reeds
  Reeds
  rotate <0.0, 0.0, 138.0>
  translate  <29.8, 3.2, 0.0>
}


object { // Reeds8->Reeds
  Reeds
  rotate <0.0, 0.0, -111.0>
  translate  <5.1, 3.4, 0.0>
}


object { // Reeds7->Reeds1
  Reeds1
  rotate <0.0, 0.0, -66.0>
  translate  <-21.0, 13.0, 2.5>
}


object { // Reeds6->Reeds1
  Reeds1
  scale 1.25
  rotate <0.0, 0.0, 5.0>
  translate  <7.6, 2.9, 4.1>
}


object { // Reeds5->Reeds1
  Reeds1
  rotate <0.0, 0.0, 76.0>
  translate  <68.600001, 11.8, -2.5>
}


object { // Reeds4->Reeds1
  Reeds1
  rotate <0.0, 0.0, 147.0>
  translate  <37.200001, 38.800001, -2.7>
}


object { // Reeds3->Reeds1
  Reeds1
  rotate <0.0, 0.0, -142.0>
  translate  <5.7, 22.0, -3.5>
}


object { // Reeds2->Reeds1
  Reeds1
  rotate <0.0, 0.0, -71.0>
  translate  <-28.6, 13.1, 0.0>
}


object { Reeds1 }


object { // Cattails_Grou7->Cattails Group
  Cattails_Group
  rotate -137.0*z
  translate  <-50.500001, -4.3, 0.0>
}


object { // Cattails_Grou6->Cattails Group
  Cattails_Group
  rotate -66.0*z
  translate  <-54.900001, -10.5, 0.0>
}


object { // Cattails_Grou5->Cattails Group
  Cattails_Group
  rotate 5.0*z
  translate  <-31.2, 1.8, 0.0>
}


object { // Cattails_Grou4->Cattails Group
  Cattails_Group
  rotate 76.0*z
  translate  <-30.619798, -2.046811, 0.0>
}


object { // Cattails_Grou3->Cattails Group
  Cattails_Group
  rotate 147.0*z
  translate  <-20.6, -26.0, 0.0>
}


object { // Cattails_Grou2->Cattails Group
  Cattails_Group
  rotate -142.0*z
  translate  <6.6, 1.9, 0.0>
}


object { // Cattails_Grou1->Cattails Group
  Cattails_Group
  rotate -71.0*z
  translate  <28.6, 1.5, 0.0>
}


#declare Lily_Pads1 = union {
  object { // Lily_Pad5->Lily Pad
    Lily_Pad
    rotate -115.0*z
    translate  <-2.8, 2.2, 0.0>
  }
  object { // Lily_Pad6->Lily Pad1
    Lily_Pad1
    scale <0.6, 0.6, 1.0>
    rotate -125.0*z
    translate  <-1.0, 4.6, 0.0>
  }
  object { // Lily_Pad7->Lily Pad2
    Lily_Pad2
    scale 2.0
    rotate -30.0*z
    translate  <-3.8, -5.1, 0.0>
  }
  scale 5.0
}
#declare Lily_Blossom24 = object {   object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-0.465814, -2.238268, 0.000000>, <-0.349730, -2.238268, -0.027962>, <-0.277580, -2.238268, -0.027962>, <-0.095336, -2.238268, 0.000000>,
      <-1.579286, -1.060799, 0.000000>, <-0.789643, -1.060799, -1.000539>, <0.000000, -1.060799, -1.000539>, <0.789643, -1.060799, 0.000000>,
      <-1.579286, 0.000000, 0.000000>, <-0.789643, 0.000000, -1.000539>, <0.000000, 0.000000, -1.000539>, <0.789643, 0.000000, 0.000000>,
      <-0.692612, 0.989470, 0.000000>, <-0.346306, 1.296280, -0.003849>, <-0.310796, 1.285562, -0.003849>, <0.035510, 0.978753, 0.000000>
    }
  }
  texture {
    Lily_Blossom_Color
  }
  scale <1.5, 1.6, 1.0>
  rotate 75.0*x
  translate  <0.5, 2.0, 0.0>
}
#declare Lily_Flower3 = union {
  object { Lily_Blossom24 }
  object { // Lily_Blossom25->Lily Blossom
    Lily_Blossom
    rotate <0.0, 0.0, -45.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom26->Lily Blossom
    Lily_Blossom
    rotate <0.0, 0.0, -90.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom27->Lily Blossom
    Lily_Blossom
    rotate <0.0, 0.0, -135.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom28->Lily Blossom
    Lily_Blossom
    rotate <0.0, 0.0, -180.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom29->Lily Blossom
    Lily_Blossom
    rotate <0.0, 0.0, 135.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom30->Lily Blossom
    Lily_Blossom
    rotate <0.0, 0.0, 90.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom31->Lily Blossom
    Lily_Blossom
    rotate <0.0, 0.0, 45.0>
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom32->Lily Blossom
    Lily_Blossom
    rotate -20.0*x
    translate  1.3*y
  }
  object { // Lily_Blossom33->Lily Blossom8
    Lily_Blossom8
    rotate -45.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom34->Lily Blossom8
    Lily_Blossom8
    rotate -90.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom35->Lily Blossom8
    Lily_Blossom8
    rotate -135.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom36->Lily Blossom8
    Lily_Blossom8
    rotate -180.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom37->Lily Blossom8
    Lily_Blossom8
    rotate 135.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom38->Lily Blossom8
    Lily_Blossom8
    rotate 90.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom39->Lily Blossom8
    Lily_Blossom8
    rotate 45.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom40->Lily Blossom8
    Lily_Blossom8
    rotate -35.0*x
    translate  <0.0, 2.0, 0.0>
  }
  object { // Lily_Blossom41->Lily Blossom16
    Lily_Blossom16
    rotate -45.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom42->Lily Blossom16
    Lily_Blossom16
    rotate -90.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom43->Lily Blossom16
    Lily_Blossom16
    rotate -135.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom44->Lily Blossom16
    Lily_Blossom16
    rotate -180.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom45->Lily Blossom16
    Lily_Blossom16
    rotate 135.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom46->Lily Blossom16
    Lily_Blossom16
    rotate 90.0*z
    translate  <0.0, 0.0, 0.0>
  }
  object { // Lily_Blossom47->Lily Blossom16
    Lily_Blossom16
    rotate 45.0*z
    translate  <0.0, 0.0, 0.0>
  }
  translate  <-3.8, 9.1, 3.4>
}
union { // Lilies1
  object { Lily_Pads1 }
  object { Lily_Flower3 }
  scale 0.25
  rotate -45.0*z
  translate  <-5.6, -10.6, -10.9>
}



//***********************background trees

//object { Treeplace6
object { Willow2                   //   done
 rotate <90, 0, 0>
 scale <1, -1, 1>
 scale <0.05, 0.05, 0.05>
 translate  <73.2, 38.9, -8.2>
 }




//object { Treeplace5
object { Beach2                   //   done
 rotate <90, 0, 0>
 scale <1, -1, 1>
 scale <0.05, 0.05, 0.05>
 translate  <68.3, 25.8, -16.6>
 }




//object { Treeplace4
object { Willow3                   //   done
 rotate <90, 0, 0>
 scale <1, -1, 1>
 scale <0.05, 0.05, 0.05>
 translate  <-50, 43.6, 0.5>
 }




//object { Treeplace3
object { Willow2                   //   done
 rotate <90, 0, 0>
 scale <1, -1, 1>
 scale <0.05, 0.05, 0.05>
 translate  <-30, 55.6, 4.7>
 }




//object { Treeplace2
object { Willow3                   //   done
 rotate <90, 0, 0>
 scale <1, -1, 1>
 scale <0.05, 0.05, 0.05>
 translate  <60, 45, 0>
 }



// Treeplace1->Treeplace
object { Beach2                   //   done
 rotate <90, 0, 0>
 scale <1, -1, 1>
 scale <0.05, 0.05, 0.05>
 translate  <29.4, 47.0, -2.5>
 }


object { Willow2                   //central tree    done
 rotate <90, 0, 0>
 scale <1, -1, 1>
 scale <0.05, 0.05, 0.05>
 translate <-0.3, 47, 0>
 }



#include "bobtextures.inc"
cylinder { // Fallen_Log
  <0,0,1>, <0,0,0>, 1
  texture {
    New_Wood       //Arbitrary_Texture
  }
  scale <1.0, 1.0, 25.0>
  rotate <84.84359, -1.028033, 14.936426>
  translate  <-27.9, -5.8, -11.4>
}


//tree12
object { Oak1              //                done-ok
 rotate <90, 0, 0>
 scale <1, -1, 1>
 scale <0.05, 0.05, 0.05>
 translate  <14.8, 0.8, -6.2>
}


//tree11
object { Beach3              //                done-ok
 rotate <90, 0, 0>
 scale <1, -1, 1>
 scale <0.05, 0.05, 0.05>
 translate  <-4.8, -21.7, -9.6>
}



//tree10
object { Plant1              //                done-ok
 rotate <90, 0, 0>
 scale <1, -1, 1>
 scale <0.05, 0.05, 0.05>
 translate  <2.9, 30.2, -10>
}
 


//tree7
object { Plant2              //                done-ok
 rotate <90, 0, 0>
 scale <1, -1, 1>
 scale <0.03, 0.03, 0.03>
 translate  <-19.7, 0.5, -6.7>
}


//tree6
object { Plant3              //                done-ok
 rotate <90, 0, 0>
 scale <1, -1, 1>
 scale <0.03, 0.03, 0.03>
 translate  <-44.100001, 22.6, -1.0>
}


//tree5
object { Treheaven1              //                done-ok
 rotate <90, 0, 0>
 scale <1, -1, 1>
 scale <0.03, 0.03, 0.03>
 translate  <-20.1, 23.4, -2.9>
}



//Tree1
object { Willow1             //                done-ok
 rotate <90, 0, 0>
 scale <1, -1, 1>
 scale <0.05, 0.05, 0.05>
 translate  <-58.900001, -6.6, -15>
}


//Tree2
object { Beach3              //                done-ok
 rotate <90, 0, 0>
 scale <1, -1, 1>
 scale <0.05, 0.05, 0.05>
 translate  <-41.700001, -4.3, -15>  //z=-8.2
}




//Tree3
object { Palm                //                 done-ok
 rotate <90, 0, 0>
 scale <1, -1, 1>
 scale <0.05, 0.05, 0.05>
 translate  <-62.600001, -34.100001, -30>
}


//Fairy                                 done
object { Fairy_Queen
rotate <0, 0, -45>
translate  <-52, -42.7, -2.0>
}



plane { // Riverwater
  z,0
  texture {
    Water_Texture
  }
  scale <75.099998, 47.700001, 1.0>
  translate  -11.0*z
}

#include "bobtextures.inc"
object {   // Landscape
  height_field {
    tga "F:\MORAY2\MDL\BOB\RIVBANBW.TGA"
    water_level 0.231
    smooth
  }
  rotate    <-90, 0, 0> // Turn onto XY plane. Now points along -Z
  scale     <  2, 2,-2> // Scale to Cube size. Now points along +Z
  translate < -1,-1,-1> // Center around origin
  texture {
    Landscape_Texture
    scale 2.0
  translate <-1.000000, -1.000000, 0.000000>
  }
  scale <50.0, 75.0, 20.0>
  rotate 90.0*z
}




#declare Lily_Pads = union {
  object { Lily_Pad }
  object { Lily_Pad1 }
  object { Lily_Pad2 }
  object { // Lily_Pad3->Lily Pad2
    Lily_Pad2
    scale 2.0
    rotate -30.0*z
    translate  <-3.8, -5.1, 0.0>
  }
  scale 5.0
}
union { // Lilies
  object { Lily_Pads }
  object { Lily_Flower }
  object { // Lily_Flower1->Lily Flower
    Lily_Flower
    scale 0.8
    rotate <0.0, 0.0, 0.0>
    translate  <12.9, 6.7, 0.0>
  }
  object { // Lily_Flower2->Lily Flower
    Lily_Flower
    scale 1.2
    rotate 0.0*x
    translate  <5.3, 8.2, 0.0>
  }
  scale 0.25
  rotate 90.0*z
  translate  <-47.200001, -19.9, -10.9>
}


object { Cattails_Group }


object { Reeds }


